fs debug                   AFS Commands                fs debug


NAME

   fs debug -- enable/disable Cache Manager debugging trace.


   fs debug  -debug <'on' or 'off'>  [-dafs <afs debug level>]
           [-dnet <network debug level>]  [-syslog]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   fs de  -de <on> or <off>  [-da <afs debug level>]
   [-dn <network debug level>]  [-s]  [-h]

DESCRIPTION

   Determines  whether  the  Cache  Manager records information
   about its activities that may prove helpful in debugging  or
   other  trouble-shooting.    The  output  goes  into the file
   /usr/vice/etc/AFSLog (unless an alternate directory or  name
   is  specified  for  the file with the -logfile switch of the
   afsd command).  See the ARGUMENTS  section  for  information
   about  the  different  types of debugging output that can be
   written to the file.

   You can use the more command (or an equivalent command  such
   as  the  pg  command  on  AIX systems) to read the debugging
   output recorded in the AFSLog file.  You must be  logged  in
   as  root  on the machine on which the AFSLog file resides to
   read the file.  Interpreting the output requires familiarity
   with the AFS source code.

ARGUMENTS

   -debug
         controls whether debugging  information  is  produced.
         The  legal  values  are  on,  which  directs debugging
         information into the AFSLog file, and off, which stops
         the recording of information in the file.

   -dafs determines  the  types  of  debugging  information the
         Cache Manager produces  about  its  activities.    The
         following  list  describes  the  legal values for this
         switch and the type of debugging  output  each  causes
         the Cache Manager to write to the AFSLog file:

            - 1,  which  causes the Cache Manager to write
              standard debugging information.  Using  this
              value   provides  a  good  deal  of  general
              output.

            - 2, which causes the Cache Manager  to  write
              low-level  debugging  information  about the
              AFS network.  Use this value only if you are
              convinced that network problems exist.

            - 4,  which  causes the Cache Manager to write
              debugging information about the RX protocol.

            - 8, which causes the Cache Manager  to  write
              debugging  information  about  the interface
              layer to AFS.  This value is not  useful  on



              machines running a Sun operating system.

         In  addition,  if  a value of 1, 4, or 8 is specified,
         the Cache Manager also records in the AFSLog file  the
         AFS  UID  of  each  user who accesses data from a file
         server machine.  It records the  appropriate  AFS  UID
         with each operation that accesses data.

         The  legal  values  can  be added to specify different
         combinations of output.  For example, a  value  of  15
         specifies  that all possible types of output are to be
         provided.  The default value of 1 is used if no  value
         is specified.

         Note:  The AFSLog file also records the type of volume
         (ReadWrite, ReadOnly, or Backup) accessed from a  file
         server  machine.   The type of the volume is displayed
         along with the volumeID in the "state" flag in  bitmap
         form.  If a ReadWrite volume is accessed, the bits are
         clear; if a ReadOnly volume is accessed, the 1 bit  is
         set; if a Backup volume is accessed, the 4 bit is set.

   -dnet is not currently implemented and should not be used.

   -syslog
         specifies that debugging output is to be redirected to
         the  syslogd  daemon.    This flag can be used only on
         machines running Sun OS 4.1 or higher.

EXAMPLES

   The following turns on debugging using the default debugging
   level of 1:

   % fs de on

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   afsd
